GHSA-9m3v-v4r5-ppx7

Suggest an improvement
Source
https://github.com/advisories/GHSA-9m3v-v4r5-ppx7
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2023/06/GHSA-9m3v-v4r5-ppx7/GHSA-9m3v-v4r5-ppx7.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-9m3v-v4r5-ppx7
Aliases
Published
2023-06-06T16:43:01Z
Modified
2024-03-01T15:18:49Z
Severity
  • 5.7 (Medium) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:L/UI:R/S:U/C:N/I:N/A:H CVSS Calculator
Summary
Notation vulnerable to denial of service from high number of artifact signatures
Details

Impact

An attacker who controls or compromises a registry can make the registry serve an infinite number of signatures for the artifact, causing a denial of service to the host machine running notation verify.

Patches

The problem has been fixed in the release v1.0.0-rc.6. Users should upgrade their notation packages to v1.0.0-rc.6 or above.

Workarounds

User should use secure and trusted container registries.

Credits

The notation project would like to thank Adam Korczynski (@AdamKorcz) for responsibly disclosing the issue found during an security audit (facilitated by OSTIF and sponsored by CNCF) and Shiwei Zhang (@shizhMSFT) for root cause analysis.

References

Affected packages

Go / github.com/notaryproject/notation

Package

Name
github.com/notaryproject/notation
View open source insights on deps.dev
Purl
pkg:golang/github.com/notaryproject/notation

Affected ranges

Type
SEMVER
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.0.0-rc.6